Skip to main content
POST
/
v1
/
public
/
workspaces
/
{workspace_id}
/
knowledge_bases
/
{knowledge_base_id}
/
search
Search a knowledge base
curl --request POST \
  --url https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/knowledge_bases/{knowledge_base_id}/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "search_query": "How do I reset my password?",
  "search_type": "hybrid",
  "search_chunk_limit": 5,
  "search_score_threshold": 0.5
}
'
import requests

url = "https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/knowledge_bases/{knowledge_base_id}/search"

payload = {
    "search_query": "How do I reset my password?",
    "search_type": "hybrid",
    "search_chunk_limit": 5,
    "search_score_threshold": 0.5
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    search_query: 'How do I reset my password?',
    search_type: 'hybrid',
    search_chunk_limit: 5,
    search_score_threshold: 0.5
  })
};

fetch('https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/knowledge_bases/{knowledge_base_id}/search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "Successfully ran a search on a knowledge base.",
  "response": {}
}
{
  "error": "Invalid access."
}
{
  "error": "Invalid search type."
}

Authorizations

Authorization
string
header
required

Workspace API key sent as Authorization: Bearer <api_key>.

Path Parameters

workspace_id
string<uuid>
required

Workspace UUID

knowledge_base_id
string<uuid>
required

Knowledge base UUID

Body

application/json
search_query
string
required
Example:

"How do I reset my password?"

search_type
enum<string>
required
Available options:
hybrid,
vector,
full_text
Example:

"hybrid"

search_chunk_limit
integer
required
Required range: 1 <= x <= 20
Example:

5

search_score_threshold
number
required
Required range: 0 <= x <= 1
Example:

0.5

Response

search results returned

message
string
required
Example:

"Successfully ran a search on a knowledge base."

response
object
required